Skip to content

Commit

Permalink
Switch from gazel to kazel, and move kazelcfg into build/root
Browse files Browse the repository at this point in the history
  • Loading branch information
ixdy committed Jul 18, 2017
1 parent 9ac0950 commit 64b0c9e
Show file tree
Hide file tree
Showing 4 changed files with 7 additions and 29 deletions.
1 change: 1 addition & 0 deletions .kazelcfg.json
File renamed without changes.
17 changes: 3 additions & 14 deletions hack/update-bazel.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,21 +20,10 @@ set -o pipefail
export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"

# Remove generated files prior to running gazel.
# Remove generated files prior to running kazel.
# TODO(spxtr): Remove this line once Bazel is the only way to build.
rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go"

go get -u gopkg.in/mikedanese/gazel.v17/gazel
kube::util::go_install_from_commit github.com/kubernetes/repo-infra/kazel fd3ec969104295f8484a32114ce625955a67365d

for path in ${GOPATH//:/ }; do
if [[ -e "${path}/bin/gazel" ]]; then
gazel="${path}/bin/gazel"
break
fi
done
if [[ -z "${gazel:-}" ]]; then
echo "Couldn't find gazel on the GOPATH."
exit 1
fi

"${gazel}" -root="$(kube::realpath ${KUBE_ROOT})"
kazel -root="$(kube::realpath ${KUBE_ROOT})"
18 changes: 3 additions & 15 deletions hack/verify-bazel.sh
Original file line number Diff line number Diff line change
Expand Up @@ -20,25 +20,13 @@ set -o pipefail
export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"

go get gopkg.in/mikedanese/gazel.v17/gazel

# Remove generated files prior to running gazel.
# Remove generated files prior to running kazel.
# TODO(spxtr): Remove this line once Bazel is the only way to build.
rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go"

for path in ${GOPATH//:/ }; do
if [[ -e "${path}/bin/gazel" ]]; then
gazel="${path}/bin/gazel"
break
fi
done
if [[ -z "${gazel:-}" ]]; then
echo "Couldn't find gazel on the GOPATH."
exit 1
fi

kube::util::go_install_from_commit github.com/kubernetes/repo-infra/kazel fd3ec969104295f8484a32114ce625955a67365d

if ! "${gazel}" -validate -print-diff -root="$(kube::realpath ${KUBE_ROOT})" ; then
if ! kazel -validate -print-diff -root="$(kube::realpath ${KUBE_ROOT})" ; then
echo
echo "Run ./hack/update-bazel.sh"
exit 1
Expand Down

0 comments on commit 64b0c9e

Please sign in to comment.